@ECHO OFF
@BREAK OFF
ECHO Loading...
IF "%1"=="" GOTO START
IF %ULTRADIR%!==! GOTO NOCARD
GOTO PARAMS

:NOCARD
triple-s /vga /w5 /fad
edit triple-s.doc
GOTO DONE

:START
%ULTRADIR%\playmidi -v127 -tsr gdvib6.mid
triple-s /vga /w5 /fad
edit triple-s.doc
GOTO DONE

:HELP
ECHO.
ECHO Readme - TRIPLE-S.DOC reader by DeeLite Demo Group.
ECHO.
ECHO Syntax: README [Options] [MIDI_file]
ECHO Options:
ECHO     /?   This help screen
ECHO     /N   No MIDI music (not necessary if you do not have a GUS!)
ECHO.
ECHO The MIDI file is optional. There is a default.
ECHO.
ECHO Hit both Shift keys to stop music while executing.
ECHO.
GOTO DONE

:PARAMS
IF "%1"=="/?" GOTO HELP
IF "%1"=="/N" GOTO NOCARD
IF "%1"=="/n" GOTO NOCARD
%ULTRADIR%\playmidi -v127 -tsr %1
triple-s /vga /w5 /fad
edit triple-s.doc

:done


